window.addEventListener("load", function() { myExtensionGA.init(); }, false);

var myExtensionGA = {
  init: function() {
    var appcontent = document.getElementById("appcontent");   // browser
    if(appcontent)
      appcontent.addEventListener("load", this.onPageLoad, true);
      appcontent.addEventListener("TabSelect", this.onTabsChanged, true);
  },

  onPageLoad: function(aEvent) {

  
  	// look in document
  	var icon = document.getElementById('gainstalled-status');
    var doc = aEvent.originalTarget; // doc is document that triggered "onload" event
    // do something with the loaded page.
    // doc.location is a Location object (see below for a link).
    // You can use it to make your code executed on certain pages only.
    //if(doc.location.href.search("forum") > -1)
     // alert("a forum page is loaded");

     if(doc.body) {

     var samplePanel = document.getElementById('gainstalled-status');
     
          	
     if(doc.documentElement.innerHTML.search("urchinTracker") > -1) {
      //alert("gA is loaded");
      icon.setAttribute("status", "success");
      samplePanel.tooltipText = "Google Analytics is installed on this page."
     } else if (doc.documentElement.innerHTML.search("google-analytics.com/ga.js") > -1) {
      //alert("gA is loaded");
      icon.setAttribute("status", "success");
      samplePanel.tooltipText = "Google Analytics is installed on this page."
     } else {
      icon.setAttribute("status", "testfailed");
      samplePanel.tooltipText = "Google Analytics is NOT installed on this page."
     }

     }
     
  },


onTabsChanged: function(aEvent)
  {

//alert("tab change");

// look in document
  	var icon = document.getElementById('gainstalled-status');
    var doc = gBrowser.selectedBrowser.contentDocument; // doc is document that triggered "onload" event
    // do something with the loaded page.
    // doc.location is a Location object (see below for a link).
    // You can use it to make your code executed on certain pages only.
    //if(doc.location.href.search("forum") > -1)
     // alert("a forum page is loaded");

     if(doc.body) {

     var samplePanel = document.getElementById('gainstalled-status');
     
          	
     if(doc.documentElement.innerHTML.search("urchinTracker") > -1) {
      //alert("gA is loaded");
      icon.setAttribute("status", "success");
      samplePanel.tooltipText = "Google Analytics is installed on this page."
      } else if (doc.documentElement.innerHTML.search("google-analytics.com/ga.js") > -1) {
      //alert("gA is loaded");
      icon.setAttribute("status", "success");
      samplePanel.tooltipText = "Google Analytics is installed on this page."
     } else {
      icon.setAttribute("status", "testfailed");
      samplePanel.tooltipText = "Google Analytics is NOT installed on this page."
     }

     }
     

    
  }
}